GridFire v0.7.1_rc2 General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Static Private Member Functions | List of all members
gridfire::exceptions::DebugException Class Referencefinal

Exception class for debug-only errors. More...

`#include <error_debug.h>`

Inheritance diagram for gridfire::exceptions::DebugException:
[legend]
Collaboration diagram for gridfire::exceptions::DebugException:
[legend]

## Public Member Functions
| DebugException (const std::string_view message, const std::source_location loc=std::source_location::current())
Public Member Functions inherited from gridfire::exceptions::GridFireError
| GridFireError (std::string msg)
const char * | what () const noexcept override

## Static Private Member Functions
static std::string | format_error (std::string_view message, const std::source_location loc)

## Detailed Description

Exception class for debug-only errors.

This exception is intended to be used for errors that should only occur during development and debugging. In release builds, attempts to throw this exception will result in a compilation error.

Example usage:

if (debug_condition_failed) {
throw DebugException("Debug condition failed");
}
gridfire::exceptions::DebugException
Exception class for debug-only errors.
Definition error_debug.h:24

## Constructor & Destructor Documentation

## ◆ DebugException()

gridfire::exceptions::DebugException::DebugException | ( | const std::string_view | message,
|  | const std::source_location | loc = `std::source_location::current()`
| ) |  |
| inline explicit

## Member Function Documentation

## ◆ format_error()

static std::string gridfire::exceptions::DebugException::format_error | ( | std::string_view | message,
|  | const std::source_location | loc
| ) |  |
| inline static private

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_debug.h